// LibMain.cpp
// Main file for the VectorScript plug-in library.
//

#include "LibFuncConsts.h"
#include "LibWrapperFuncs.h"

 //------------------------------------------------------------------
long PluginLibraryMain(long routineSelector, void* argTable, long &ioUserData )
{
	long	retVal = 0;

	switch (routineSelector) {
		case kPluginLIBInitGlobals:
			//
			// To do:	Add code to perform initialization when the library is loaded
			//

			retVal = 8;		// Return value of 8 indicates the library should remain loaded
			break;

		case kPluginLIBDisposeGlobals:
			//
			// To do:	Add code to perform clean-up when the library is unloaded
			//

			retVal = 8;
			break;

		case kFunc1:
			Func1Wrapper(argTable, ioUserData);
			break;

		case kFunc2:
			Func2Wrapper(argTable, ioUserData);
			break;

		case kFunc3:
			Func3Wrapper(argTable, ioUserData);
			break;


		// To do:  Add additional cases as needed


		default:
			break;
	}
	return retVal;
}
